@if (axis) {
  <div class="container" [attr.data-test-element-id]="detailedAxisRole">
    <ng-container *ngTemplateOutlet="axisLabel"></ng-container>
    <div
      #columnField
      [attr.data-test-element-id]="'columnField'"
      class="sqtm-core-external-capsule txt-ellipsis __hover_pointer"
      [sqtmCoreWorkspace]="getWorkspace()"
      [localTheme]="true"
      (click)="openColumnSelector()"
    >
      <div
        class="full-height flex-fixed-size capsule-left-color-indicator"
        [class.custom-field]="isCuf()"
        [style.background-color]="columnPrototypeBorderColor"
      ></div>
      <div class="full-height full-width txt-ellipsis inner-capsule">
        <span class="m-l-10 m-r-15 txt-ellipsis name"
          >{{ entityNameI18nKey | translate }} |
          {{ columnNameI18nKey | translate }}</span
        >
      </div>
    </div>

    <div
      class="external-capsule txt-ellipsis __hover_pointer grid-column-start-2"
      [sqtmCoreWorkspace]="getWorkspace()"
      [localTheme]="true"
    >
      <div
        class="full-height flex-fixed-size capsule-left-color-indicator"
        [class.custom-field]="isCuf()"
        [style.background-color]="columnPrototypeBorderColor"
      ></div>
      <div class="full-height full-width txt-ellipsis inner-capsule">
        <nz-select
          class="full-width hide-nz-select-border-override"
          [(ngModel)]="selectedOperation"
          (ngModelChange)="changeOperation()"
        >
          @for (operation of availableOperations; track operation) {
            <nz-option
              [nzLabel]="operation.label | translate"
              [nzValue]="operation.value"
            ></nz-option>
          }
        </nz-select>
      </div>
    </div>
  </div>
} @else {
  <div class="container" [attr.data-test-element-id]="detailedAxisRole">
    <ng-container *ngTemplateOutlet="axisLabel"></ng-container>
    <div
      #columnField
      [attr.data-test-element-id]="'columnField'"
      class="sqtm-core-external-capsule txt-ellipsis __hover_pointer"
      (click)="openColumnSelector()"
    >
      <div
        class="full-height flex-fixed-size capsule-left-color-indicator"
        [style.background-color]="columnPrototypeBorderColor"
      ></div>
      <div class="full-height full-width txt-ellipsis inner-capsule">
        <span class="m-l-10 m-r-15 txt-ellipsis name">
          {{
            'sqtm-core.custom-report-workspace.create-chart-view.axis.empty'
              | translate
          }}
        </span>
      </div>
    </div>
  </div>
}

<ng-template #axisLabel>
  <div class="axis-name flex-row">
    <i
      class="current-workspace-main-color flex-fixed-size"
      nz-icon
      [nzType]="getAxisIcon()"
      nzTheme="outline"
    ></i>
    <span class="m-l-10">{{ axisName | translate }}</span>
  </div>
</ng-template>
